1 Reply Latest reply on Oct 22, 2012 11:29 AM by Clebert Suconic

    Problem to integrate Hornetq2.3.0Beta to JBoss 6.1.0 Final

    michellegx11 Newbie

      Hi,

       

      I am trying to replce the embedded Hornetq 2.2.5Final in JBoss 6.1.0Final by the latest version Hornetq 2.3.0 Beta, following the description as follows:

      https://community.jboss.org/message/616616?tstart=0#616616

       

      But after the integration, I got lots of exception while starting JBoss, such as:

       

      17:04:18,165 ERROR [AbstractKernelController] Error installing to PreInstall: name=HornetQDestinationCreator$factory#2 state=Real: java.lang.NoClassDefFoundError: org/hornetq/core/server/HornetQComponent

              at java.lang.ClassLoader.defineClass1(Native Method) [:1.6.0_20]

              at java.lang.ClassLoader.defineClassCond(ClassLoader.java:632) [:1.6.0_20]

              at java.lang.ClassLoader.defineClass(ClassLoader.java:616) [:1.6.0_20]

              at org.jboss.classloader.spi.base.BaseClassLoader.access$200(BaseClassLoader.java:52) [jboss-classloader.jar:2.2.1.GA]

              at org.jboss.classloader.spi.base.BaseClassLoader$2.run(BaseClassLoader.java:650) [jboss-classloader.jar:2.2.1.GA]

              at org.jboss.classloader.spi.base.BaseClassLoader$2.run(BaseClassLoader.java:609) [jboss-classloader.jar:2.2.1.GA]

              at java.security.AccessController.doPrivileged(Native Method) [:1.6.0_20]

              at org.jboss.classloader.spi.base.BaseClassLoader.loadClassLocally(BaseClassLoader.java:608) [jboss

       

      I have checked in the hornetq-core.jar and indeed the HornetQComponent.class file seems to be exist in Hornetq 2.2.5Final, but not in Hornetq 2.3.0 Beta any more.

       

      Is that means, version Hornetq 2.3.0 Beta could not the integration with JBoss 6.1.0 Final? Is there a list, indicating which version of Hornetq is able to be integrated with which version of EAP? Thanks!